Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.exceptions
Class ConstrainedValueException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.eclipse.hyades.logging.events.exceptions.ConstrainedValueException

All Implemented Interfaces:
  java.io.Serializable

public class ConstrainedValueException
extends java.lang.Exception

Author:
  rduggan To change this generated comment edit the template variable "typecomment": Window>Preferences>Java>Templates. To enable and disable the creation of type comments go to Window>Preferences>Java>Code Generation.
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `attributeDescription`
`protected java.lang.String` | `attributeName`
`protected java.lang.String` | `maxValue`
`protected java.lang.String` | `minValue`
`static int` | `MUTUALLY_EXCLUSIVE_VALUE`
`static int` | `STRING_TOO_LONG`
`static int` | `STRING_TOO_SHORT`
`static int` | `UNKNOWN`

Constructor Summary
`ConstrainedValueException(java.lang.String attributeName)`

Method Summary
`void` | `setReason(int reason)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### STRING_TOO_LONG

    public static final int STRING_TOO_LONG

See Also:
  Constant Field Values

### STRING_TOO_SHORT

    public static final int STRING_TOO_SHORT

See Also:
  Constant Field Values

### MUTUALLY_EXCLUSIVE_VALUE

    public static final int MUTUALLY_EXCLUSIVE_VALUE

See Also:
  Constant Field Values

### attributeName

    protected java.lang.String attributeName

### attributeDescription

    protected java.lang.String attributeDescription

### minValue

    protected java.lang.String minValue

### maxValue

    protected java.lang.String maxValue

Constructor Detail

### ConstrainedValueException

    public ConstrainedValueException(java.lang.String attributeName)

Method Detail

### setReason

    public void setReason(int reason)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD